=== modified file 'bzrlib/benchmarks/__init__.py'
--- bzrlib/benchmarks/__init__.py	2006-05-27 06:18:34 +0000
+++ bzrlib/benchmarks/__init__.py	2006-06-08 15:04:12 +0000
@@ -47,6 +47,7 @@
                    'bzrlib.benchmarks.bench_add',
                    'bzrlib.benchmarks.bench_checkout',
                    'bzrlib.benchmarks.bench_commit',
+                   'bzrlib.benchmarks.bench_rocks',
                    'bzrlib.benchmarks.bench_status',
                    'bzrlib.benchmarks.bench_transform',
                    'bzrlib.benchmarks.bench_workingtree',

=== added file 'bzrlib/benchmarks/bench_rocks.py'
--- bzrlib/benchmarks/bench_rocks.py	1970-01-01 00:00:00 +0000
+++ bzrlib/benchmarks/bench_rocks.py	2006-06-08 15:04:12 +0000
@@ -0,0 +1,26 @@
+# Copyright (C) 2006 by Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as published by
+# the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Benchmarks of bzr commit."""
+
+
+from bzrlib.benchmarks import Benchmark
+
+
+class RocksBenchmark(Benchmark):
+
+    def test_rocks(self):
+        """Test the startup overhead by running a do-nothing command"""
+        self.time(self.run_bzr, 'rocks')

